# -*- coding: utf-8 -*-

from ppms.migration import SQLPacket, PacketCategory, MaxVersionDependency


class AddLiabilityPoolTable(SQLPacket):
    """Add pool table 559 'COPARAGRP' for the liability import"""
    done_after_success = True
    run_on_startup = True
    category = PacketCategory.CATEGORY_MANDATORY
    wi_number = 20491

    sql_script = 'wi20491_obligo_pool_table.sql'

    def get_dependencies(self):
        return MaxVersionDependency(version='39.5.10'),

    def fix(self, runner):
        self.apply_dml_file(self.sql_planta_de_dbms, self.sql_script)

        return self.success()
